TYPOS3 Core - Task #97578

Mark GeneralUtility as strict
2022-05-08 12:01 - Oliver Klee

Status: Resolved Start date: 2022-05-08
Priority: Should have Due date:

Assignee: % Done: 100%
Category: Code Cleanup Estimated time: 0.00 hour
Target version: 12LTS

TYPO3 Version: 12 Complexity:

PHP Version: Sprint Focus:

Tags:

Description

This is the first step to pinpoint and fix any problems before we can start adding native types to the GU methods in multiple separate

changes.

Related issues:
Related to TYPO3 Core - Bug #97887: List module broken since #97578

Blocked by TYPO3 Core - Bug #97579: Avoid calling string functions with non-s...
Blocked by TYPO3 Core - Bug #97580: Always call GU::intExplode with a string ...

Resolved 2022-07-11
Resolved 2022-05-08
Resolved 2022-05-08

Associated revisions

Revision 99248534 - 2022-07-09 21:30 - Oliver Klee
[BUGFIX] Always call GU::intExplode with a string

This helps avoid breakage when GeneralUtility will switch to
strict mode.

This change also prevents a bunch of possible invalid
array access warnings.

Resolves: #97580

Related: #97578

Releases: main

Change-Id: Ibabeae561cf8e3607474287683d606a63d14f041
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/75080
Tested-by: Nikita Hovratov <nikita.h@live.de>

Tested-by: core-ci <typo3@b13.com>

Tested-by: Stefan Biirk <stefan@buerk.tech>

Reviewed-by: Nikita Hovratov <nikita.h@live.de>

Reviewed-by: Stefan Birk <stefan@buerk.tech>

Revision 0c425998 - 2022-07-10 14:00 - Oliver Klee
[BUGFIX] Always call GU::intExplode with a string in EXT:frontend

This helps avoid breakage when GeneralUtility will switch to
strict mode.

This change also prevents a bunch of possible invalid
array access warnings.

Resolves: #97584

Related: #97578

Releases: main

Change-Id: 1af23147d2ffdbca3a5c8205b2c32926c46084021
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/75079
Tested-by: Nikita Hovratov <nikita.h@live.de>

Tested-by: core-ci <typo3@b13.com>

Tested-by: Stefan Biirk <stefan@buerk.tech>

Reviewed-by: Nikita Hovratov <nikita.h@live.de>

Reviewed-by: Stefan Blrk <stefan@buerk.tech>
Revision ¢8d0fc71 - 2022-07-10 19:09 - Oliver Klee
[TASK] Mark GeneralUtility as strict

This is the first step before we can start adding
native types to the GU methods in multiple separate
changes.

Resolves: #97578

Releases: main

Change-1d: 142e9da54b072f3c6d204ec5b8b32b797ab7996ec
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572
Tested-by: core-ci <typo3@b13.com>

Tested-by: Nikita Hovratov <nikita.h@live.de>

Tested-by: Stefan Biirk <stefan@buerk.tech>

Reviewed-by: Nikita Hovratov <nikita.h@live.de>

Reviewed-by: Stefan Birk <stefan rk.tech>

Revision 5ff079ad - 2022-07-11 08:41 - Andreas Fernandez
[BUGFIX] Cast "$chars™ argument of “fixed_Igd_cs()" to int

Since #97578, "GeneralUtility" is declared strict, potentially breaking
calls to “fixed_lgd_cs()" in at least the "List" module. The argument
“$chars™ must be of type int, but sometimes it's a string which breaks
the call of “abs()".

All calls to this method are adjusted, where required, and the value is
explicitly cast to int.

Resolves: #97887

Related: #97578

Releases: main

Change-Id: I7feed1ae8dbe7cdbc906d73cfbc49f7d9dbebbfe
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/75091
Tested-by: Oliver Bartsch <bo@cedev.de>

Tested-by: core-ci <typo3@b13.com>

Tested-by: Stefan Birk <stefan@buerk.tech>
Reviewed-by: Oliver Bartsch <bo@cedev.de>
Reviewed-by: Oliver Klee <typo3-coding@oliverklee.de>
Reviewed-by: Stefan Blrk <stefan@buerk.tech>

History

#1 - 2022-05-08 12:22 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review. .org/c/Pack TYPO3.CMS/+/74572

#2 - 2022-05-08 12:39 - Gerrit Code Review

Patch set 2 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#3 - 2022-05-08 12:48 - Gerrit Code Review

Patch set 3 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https:/review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#4 - 2022-05-08 13:23 - Gerrit Code Review

Patch set 4 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#5 - 2022-05-08 14:32 - Oliver Klee
- Blocked by Bug #97579: Avoid calling string functions with non-strings in GeneralUtility added

#6 - 2022-05-08 14:32 - Oliver Klee
- Blocked by Bug #97580: Always call GU::intExplode with a string parameter added

#7 - 2022-05-08 15:05 - Gerrit Code Review
Patch set 5 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#8 - 2022-05-09 13:55 - Gerrit Code Review

Patch set 6 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#9 - 2022-05-10 11:34 - Gerrit Code Review

Patch set 7 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#10 - 2022-05-10 15:15 - Oliver Klee
- Blocked by Epic #97602: Always call GU::trimExplode with a string parameter added

#11 - 2022-05-29 12:40 - Gerrit Code Review

Patch set 8 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#12 - 2022-06-09 09:12 - Gerrit Code Review

Patch set 9 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#13 - 2022-06-09 11:46 - Gerrit Code Review

Patch set 10 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#14 - 2022-06-19 09:53 - Gerrit Code Review

Patch set 11 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#15 - 2022-06-20 10:10 - Gerrit Code Review

Patch set 12 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#16 - 2022-07-09 09:55 - Gerrit Code Review

Patch set 13 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review. .org/c/Pack /TYPO3.CMS/+/74572

#17 - 2022-07-09 10:15 - Gerrit Code Review

Patch set 14 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#18 - 2022-07-09 10:31 - Gerrit Code Review

Patch set 15 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#19 - 2022-07-09 10:44 - Gerrit Code Review

Patch set 16 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review. .org/c/Pack TYPO3.CMS/+/74572

#20 - 2022-07-09 10:47 - Oliver Klee
- Blocked by deleted (Epic #97602: Always call GU::trimExplode with a string parameter)

#21 - 2022-07-10 12:02 - Gerrit Code Review

Patch set 17 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572

#22 - 2022-07-10 14:21 - Gerrit Code Review

Patch set 18 for branch main of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/c/Packages/TYPO3.CMS/+/74572
#23 - 2022-07-10 19:15 - Oliver Klee
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset c8d0fc7118ee60f6b0b8a79d8d0a2dc73f32875b.

#24 - 2022-07-11 06:15 - Andreas Fernandez
- Related to Bug #97887: List module broken since #97578 added
